### Hierarchy

- CurryRight

### Callable

- __call<T1, R>(func: function, arity?: undefined | number): RightCurriedFunction1<T1, R>
- __call<T1, T2, R>(func: function, arity?: undefined | number): RightCurriedFunction2<T1, T2, R>
- __call<T1, T2, T3, R>(func: function, arity?: undefined | number): RightCurriedFunction3<T1, T2, T3, R>
- __call<T1, T2, T3, T4, R>(func: function, arity?: undefined | number): RightCurriedFunction4<T1, T2, T3, T4, R>
- __call<T1, T2, T3, T4, T5, R>(func: function, arity?: undefined | number): RightCurriedFunction5<T1, T2, T3, T4, T5, R>
- __call(func: function, arity?: undefined | number): function

- - Defined in node_modules/@types/lodash/common/function.d.ts:496

  This method is like _.curry except that arguments are applied to func in the manner of _.partialRight instead of _.partial.

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1): R

      - #### Parameters

        - ##### t1: T1

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns RightCurriedFunction1<T1, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:505

  This method is like _.curry except that arguments are applied to func in the manner of _.partialRight instead of _.partial.

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1, t2: T2): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns RightCurriedFunction2<T1, T2, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:514

  This method is like _.curry except that arguments are applied to func in the manner of _.partialRight instead of _.partial.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1, t2: T2, t3: T3): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        - ##### t3: T3

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns RightCurriedFunction3<T1, T2, T3, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:523

  This method is like _.curry except that arguments are applied to func in the manner of _.partialRight instead of _.partial.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1, t2: T2, t3: T3, t4: T4): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        - ##### t3: T3

        - ##### t4: T4

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns RightCurriedFunction4<T1, T2, T3, T4, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:532

  This method is like _.curry except that arguments are applied to func in the manner of _.partialRight instead of _.partial.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1, t2: T2, t3: T3, t4: T4, t5: T5): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        - ##### t3: T3

        - ##### t4: T4

        - ##### t5: T5

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns RightCurriedFunction5<T1, T2, T3, T4, T5, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:541

  This method is like _.curry except that arguments are applied to func in the manner of _.partialRight instead of _.partial.

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (...args: any[]): any

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns any

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns function

  Returns the new curried function.

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

## Index

### Properties

- placeholder

## Properties

### placeholder

placeholder: __

- Defined in node_modules/@types/lodash/common/function.d.ts:551

Generated using TypeDoc